.elegant-calencar {
    max-width: 450px;
    width: 100%;
    text-align: center;
    position: relative;
    margin: 0;
    overflow: hidden;
    border-radius: 5px;
    -webkit-box-shadow: 0px 19px 27px -20px rgb(0 0 0 / 16%);
    -moz-box-shadow: 0px 19px 27px -20px rgba(0, 0, 0, 0.16);
    box-shadow: 0px 19px 27px -20px rgb(0 0 0 / 16%);
    z-index: 2;
    background: #f4f7fa;
    border-radius: 15px;
}

.wrap-header {
    position: relative;
    width: 175px;
    background: #003e84;
    border-radius: 15px;
}

#reset {
    display: block;
    position: absolute;
    right: 0.5em;
    top: 0.5em;
    z-index: 999;
    color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
    padding: 0 0.5em;
    border: 1px solid rgba(255, 255, 255, 0.4);
    border-radius: 4px;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
    text-transform: uppercase;
    font-size: 11px;
}

#header .pre-button,
#header .next-button {
    cursor: pointer;
    width: 1em;
    height: 1em;
    line-height: 1em;
    border-radius: 50%;
    position: absolute;
    bottom: -76%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    font-size: 18px;
}

#header {
    width: 100%;
    position: relative;
}

.pre-button {
    left: 15%;
}

#header .pre-button i,
#header .next-button i {
    color: #fff;
}

.head-day {
    font-size: 4em;
    line-height: 1;
    color: #fff;
}

.head-month {
    line-height: 1;
    color: #fff;
    font-size: 12px;
    text-transform: uppercase;
}

.calendar-wrap {
    width: 100%;
    background: white;
    padding: 5px 10px;
    border-radius: 0 15px 15px 0;
    border-right: 1px solid;
    border-bottom: 1px solid;
    border-color: #003e841f;
    margin-left: -8px;
}

#calendar {
    width: 100%;
    height: 100%;
}

#calendar tr {
    height: 2em;
}

#calendar thead tr {
    color: #000;
    font-weight: 700;
}

#calendar tbody tr {
    color: #000;
}

#calendar thead th {
    color: #0f172b;
    font-size: 14px!important;
    font-weight: 300!important;
    background: transparent;
    border-bottom: 1px solid #e9e9e9;
}

.next-button {
    right: 15%;
}

#calendar tbody td {
    width: auto;
    border-radius: 50%;
    cursor: pointer;
    -webkit-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
    position: relative;
    z-index: 0;
}

#calendar tbody td:hover,
#calendar .selected {
    color: #fff;
    border: none;
}

#calendar tbody td:hover:after,
#calendar .selected:after {
    background: #003e84;
}

#today {
    color: #ffffff;
    font-weight: 800;
}

#today:after {
    background: #fea116;
}

#calendar tbody td:after {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    bottom: 0;
    content: '';
    width: 22px;
    height: 22px;
    margin: 0 auto;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    border-radius: 50%;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    z-index: -1;
}
td#disabled {
    pointer-events: none;
}

/* Estilos para efecto pulse de notificaciones */
.pulse-effect{
    animation: pulsing 0.25s infinite cubic-bezier(.12,.19,.83,.67);
    -webkit-animation: pulsing 0.25s infinite cubic-bezier(.12,.19,.83,.67);
    -moz-animation: pulsing 0.25s infinite cubic-bezier(.12,.19,.83,.67);
    -ms-animation: pulsing 0.25s infinite cubic-bezier(.12,.19,.83,.67);
}
.pulse-effect:hover {
    -webkit-animation: none;
    -moz-animation: none;
    -ms-animation: none;
    animation: none;
    color: #ffffff;
  }
  
  
  /* Animation */
  
  @-webkit-keyframes pulsing {
    to {
      box-shadow: 0 0 0 5px rgba(254, 161, 22, 1);
    }
  }
  
  @-moz-keyframes pulsing {
    to {
        box-shadow: 0 0 0 5px rgba(254, 161, 22, 1);
    }
  }
  
  @-ms-keyframes pulsing {
    to {
        box-shadow: 0 0 0 5px rgba(254, 161, 22, 1);
    }
  }
  
  @keyframes pulsing {
    to {
        box-shadow: 0 0 0 5px rgba(254, 161, 22, 1);
    }
  }
  